{ pkgs
, config
, fetchFromGitHub
, ...}:

{
  services.cockpit = {
    enable = true;
    port = 9090;
  };

  # TODO: Performance Metrics:
  # https://github.com/performancecopilot/pcp
  
  # environment.systemPackages = let
  #   cockpit-machines = stdenv.mkDerivation {
  #     pname = "cockpit-machines";
  #     version = "283";
  #     src = fetchFromGitHub
  #   };
  # in [
  #   cockpit-machines
  #   cockpit-containers
  # ];
}
